Subject: Re: bug#7626: mm-charset-override-alist

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Feb 2011 15:36:49 +0200

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 20 Jan 2011 11:05:42 +0900
> 
> > I don't want to modify rfc2047.el nor mm-util.el now.  So,
> > I've just installed a little bit inefficient workaround
> > which does this:
> 
> > After decoding each header, if rmail-mime-coding-system is
> > nil, set it to a cons (CODING-SYSTEM . nil).
> 
> > After decoding each body, if rmail-mime-coding-system is nil
> > or a cons, set it to CODING-SYSTEM.
> 
> > After decoding a whole message, if rmail-mime-coding-system
> > is a cons (i.e. only a header part is decoded), re-decode
> > the header while binding mm-charset-override-alist to nil,
> > and set rmail-mime-coding-system to last-coding-system-used.
> 
> > Set buffer-file-coding-system to rmail-mime-coding-system.
> 
> Have you tried it?

I'm using it now, since it's part of the Emacs 23.2.93 pretest.

In general, it seems to work well, but I found one message where it
didn't DTRT.  This message:

  http://lists.gnu.org/archive/html/savannah-users/2011-02/msg00003.html

is shown with buffer-file-coding-system `us-ascii', whereas I would
expect it to be UTF-8, because the From: header is in UTF-8.

(I saved the raw message as it was found in my mailbox, in case you'd
need it for analysis.)